Subject: Re: [PATCH] Documentation: Document the Netlink spec

From: Jakub Kicinski <[email-masked]>
Date: Wed, 8 Nov 2023 17:43:06 -0800

On Wed, 08 Nov 2023 13:27:28 -0700 Jonathan Corbet wrote:
> I do have to wonder, though, whether a sphinx extension is the right way
> to solve this problem.  You're essentially implementing a filter that
> turns one YAML file into one RST file; might it be better to keep that
> outside of sphinx as a standalone script, invoked by the Makefile?

If we're considering other ways of generating the files - I'd also like
to voice a weak preference towards removing the need for the "stub"
files.

Get all the docs rendered under Documentation/netlink/ with an
auto-generated index.

This way newcomers won't have to remember to add a stub to get the doc
rendered. One fewer thing to worry about during review.